com.creamtec.ajaxswing.gui

## Class VersionHelper

- java.lang.Object
- - com.creamtec.ajaxswing.gui.VersionHelper

-     public class VersionHelper
      extends java.lang.Object

  Convenience class that encapsulates the properties and classes that differ from version to version. For instance, depending on the JDK version an appropriate toolkit is installed.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AJAXSWING_VERSION_ID`
    `static java.lang.String` | `CURRENT_JDK_VERSION`
    `static java.lang.Class` | `fontPropertiesClass`
    `static java.lang.String` | `JDK_17`
    `static java.lang.String` | `JDK_18`
    `static java.lang.String` | `SUPPORTED_JDK_VERSION`
    `static java.lang.String` | `TOOLKIT_CLASS_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `checkJdkVersion()`
    `static java.lang.String` | `getAjaxSwingVersion()`
    `static java.lang.String` | `getCurrentJdkVersion()`
    `static java.lang.String` | `getToolkitClassName()`
    `static void` | `init(boolean initGUI)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fontPropertiesClass

          public static java.lang.Class fontPropertiesClass

    - #### CURRENT_JDK_VERSION

          public static java.lang.String CURRENT_JDK_VERSION

    - #### SUPPORTED_JDK_VERSION

          public static java.lang.String SUPPORTED_JDK_VERSION

    - #### JDK_17

          public static java.lang.String JDK_17

    - #### JDK_18

          public static java.lang.String JDK_18

    - #### TOOLKIT_CLASS_NAME

          public static java.lang.String TOOLKIT_CLASS_NAME

    - #### AJAXSWING_VERSION_ID

          public static final int AJAXSWING_VERSION_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VersionHelper

          public VersionHelper()

  - ### Method Detail

    - #### getToolkitClassName

          public static java.lang.String getToolkitClassName()

    - #### init

          public static void init(boolean initGUI)

    - #### checkJdkVersion

          public static void checkJdkVersion()

    - #### getCurrentJdkVersion

          public static java.lang.String getCurrentJdkVersion()

    - #### getAjaxSwingVersion

          public static java.lang.String getAjaxSwingVersion()

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.